Services - Get
Get DMS (classic) Service Instance
The services resource is the top-level resource that represents the Azure Database Migration Service (classic). The GET method retrieves information about a service instance.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{groupName}/providers/Microsoft.DataMigration/services/{serviceName}?api-version=2022-03-30-preview
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
group
|
path | True |
string |
Name of the resource group |
|
service
|
path | True |
string |
Name of the service |
|
subscription
|
path | True |
string |
Subscription ID that identifies an Azure subscription. |
|
api-version
|
query | True |
string |
Version of the API |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
A service instance resource |
|
| Other Status Codes |
Error |
Security
azure_auth
Azure Active Directory OAuth2 Flow
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
Services_CreateOrUpdate
Sample request
GET https://management.azure.com/subscriptions/fc04246f-04c5-437e-ac5e-206a19e7193f/resourceGroups/DmsSdkRg/providers/Microsoft.DataMigration/services/DmsSdkService?api-version=2022-03-30-preview
Sample response
{
"properties": {
"provisioningState": "Succeeded",
"publicKey": "0;AQAB;sCMXX00QDnuOIEQdXyY96h3VPSk3ccsBeYOGxntqg7y6oXbq4JbQHf8GnUhf5NsmUYBq1rO+6xSumIuLLANIIqNPpHCT8x7W+tcuShlju4fdSKfpyKbJnTJJzGLhRJYG97hDPo9D76qpEYQN66k0IfkKJVDTh7LAxqcE3lxdA98LB2EDM6vYoZ+raKXygYc1UUHDpkfksLk2YRTVCaayTFBh5HT/+CY+48V+rbx/nruvEEEbSg720m5Fc0k8ivM3A+RGkeK9pzQx+TtskSCDXiWL50a8Rrb5ORkBusgY+s0XLyKOuxZCIUOEO8JzUjCeZYdOfLJzx8yfTxEmSlOPqQ==",
"virtualSubnetId": "/subscriptions/fc04246f-04c5-437e-ac5e-206a19e7193f/resourceGroups/DmsSdkTestNetwork/providers/Microsoft.Network/virtualNetworks/DmsSdkTestNetwork/subnets/default"
},
"etag": "qt85+bWDN84/6PR8Gllxf63krZcXZX1h3wxAbs6pCjc=",
"id": "/subscriptions/fc04246f-04c5-437e-ac5e-206a19e7193f/resourceGroups/DmsSdkRg/providers/Microsoft.DataMigration/services/DmsSdkService",
"location": "southcentralus",
"name": "DmsSdkService",
"sku": {
"name": "Basic_1vCore",
"size": "1 vCore",
"tier": "Basic"
},
"type": "Microsoft.DataMigration/services"
}
Definitions
| Name | Description |
|---|---|
|
Api |
Error information. |
|
created |
|
|
Data |
An Azure Database Migration Service (classic) resource |
|
OData |
Error information in OData format. |
|
Service |
The resource's provisioning state |
|
Service |
An Azure SKU instance |
|
System |
ApiError
Error information.
| Name | Type | Description |
|---|---|---|
| error |
Error information in OData format |
|
| systemData |
Metadata pertaining to creation and last modification of the resource. |
createdByType
| Value | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
DataMigrationService
An Azure Database Migration Service (classic) resource
| Name | Type | Description |
|---|---|---|
| etag |
string |
HTTP strong entity tag value. Ignored if submitted |
| id |
string |
|
| kind |
string |
The resource kind. Only 'vm' (the default) is supported. |
| location |
string |
|
| name |
string |
|
| properties.autoStopDelay |
string |
The time delay before the service is auto-stopped when idle. |
| properties.deleteResourcesOnStop |
boolean |
Whether service resources should be deleted when stopped. (Turned on by default) |
| properties.provisioningState |
The resource's provisioning state |
|
| properties.publicKey |
string |
The public key of the service, used to encrypt secrets sent to the service |
| properties.virtualNicId |
string |
The ID of the Microsoft.Network/networkInterfaces resource which the service have |
| properties.virtualSubnetId |
string |
The ID of the Microsoft.Network/virtualNetworks/subnets resource to which the service should be joined |
| sku |
Service SKU |
|
| systemData |
Metadata pertaining to creation and last modification of the resource. |
|
| tags |
object |
|
| type |
string |
ODataError
Error information in OData format.
| Name | Type | Description |
|---|---|---|
| code |
string |
The machine-readable description of the error, such as 'InvalidRequest' or 'InternalServerError' |
| details |
Inner errors that caused this error |
|
| message |
string |
The human-readable description of the error |
ServiceProvisioningState
The resource's provisioning state
| Value | Description |
|---|---|
| Accepted | |
| Deleting | |
| Deploying | |
| Stopped | |
| Stopping | |
| Starting | |
| FailedToStart | |
| FailedToStop | |
| Succeeded | |
| Failed |
ServiceSku
An Azure SKU instance
| Name | Type | Description |
|---|---|---|
| capacity |
integer |
The capacity of the SKU, if it supports scaling |
| family |
string |
The SKU family, used when the service has multiple performance classes within a tier, such as 'A', 'D', etc. for virtual machines |
| name |
string |
The unique name of the SKU, such as 'P3' |
| size |
string |
The size of the SKU, used when the name alone does not denote a service size or when a SKU has multiple performance classes within a family, e.g. 'A1' for virtual machines |
| tier |
string |
The tier of the SKU, such as 'Basic', 'General Purpose', or 'Business Critical' |
SystemData
| Name | Type | Description |
|---|---|---|
| createdAt |
string (date-time) |
|
| createdBy |
string |
|
| createdByType | ||
| lastModifiedAt |
string (date-time) |
|
| lastModifiedBy |
string |
|
| lastModifiedByType |